%global gem_name fssm
%global rubyabi 1.9.1

Summary: File system state monitor
Name: rubygem-%{gem_name}
Version: 0.2.7
Release: 3%{?dist}
Group: Development/Languages
License: MIT
URL: http://github.com/ttilley/fssm
Source0: http://rubygems.org/gems/%{gem_name}-%{version}.gem
Requires: ruby(abi) = %{rubyabi}
Requires: ruby(rubygems)
BuildRequires: ruby(abi) = %{rubyabi}
BuildRequires: rubygems-devel
# Use rspec-core until rspec are not migrated to RSpec 2.x
BuildRequires: rubygem(rspec-core)
BuildArch: noarch
Provides: rubygem(%{gem_name}) = %{version}

%description
The File System State Monitor keeps track of the state of any number of paths
and will fire events when said state changes (create/update/delete).
FSSM supports using FSEvents on MacOS (with ruby 1.8), Inotify on GNU/Linux,
and polling anywhere else. 


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires:%{name} = %{version}-%{release}

%description doc
Documentation for %{name}

%prep
%setup -q -c -T
mkdir -p .%{gem_dir}
gem install --local --install-dir .%{gem_dir} \
            --force --rdoc %{SOURCE0}

%build

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

rm %{buildroot}/%{gem_instdir}/.gitignore

%check
pushd .%{gem_instdir}

# Remove Bundler dependency
sed -i '4,+1d' spec/spec_helper.rb

rspec spec/
popd

%files
%dir %{gem_instdir}
%{gem_libdir}/
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/README.markdown
%exclude %{gem_cache}
%{gem_spec}

%files doc
%{gem_instdir}/example.rb
%{gem_instdir}/%{gem_name}.gemspec
%{gem_instdir}/Gemfile
%{gem_instdir}/Rakefile
%{gem_instdir}/profile/
%{gem_instdir}/spec/
%doc %{gem_docdir}

%changelog
* Tue Jan 24 2012 Vít Ondruch <vondruch@redhat.com> - 0.2.7-3
- Rebuilt for Ruby 1.9.3.

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 13 2011 Vít Ondruch <vondruch@redhat.com> - 0.2.7-1
- Update to fssm 0.2.7.

* Tue Apr 05 2011 Vít Ondruch <vondruch@redhat.com> - 0.2.6.1-1
- Updated to fssm 0.2.6.1
- Removed obsolete BuildRoot.
- Removed unnecessary cleanup.
- Testsuite executed using RSpec 2.x.

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jan 07 2011 Vít Ondruch <vondruch@redhat.com> - 0.2.2-3
- Removed explicit RubyGems version

* Fri Dec 17 2010 Vít Ondruch <vondruch@redhat.com> - 0.2.2-2
- Documentation moved into subpackage

* Fri Dec 17 2010 Vít Ondruch <vondruch@redhat.com> - 0.2.2-1
- Initial package
